#
# TODO:
#   - loading modules in init-script, if needed
#   - missing plugin: nvclock
#   - move plugins into separate packages? (some is needed, because of additional deps)
#   - update Polish translations
#
Summary:	Fully configurable daemon for dynamic frequency and voltage scaling
Summary(pl.UTF-8):	Skalowanie częstotliwości procesora
Name:		cpufreqd
Version:	2.4.2
Release:	3
License:	GPL v2
Group:		Applications/System
Source0:	http://dl.sourceforge.net/cpufreqd/%{name}-%{version}.tar.bz2
# Source0-md5:	2ca80a77849c9a69b81e27c1843c97f5
Source1:	%{name}.init
Patch0:		%{name}-battery.patch
URL:		http://www.linux.it/~malattia/wiki/index.php/Cpufreqd
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	cpufrequtils-devel
BuildRequires:	libtool
BuildRequires:	lm_sensors-devel
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sysfsutils-devel
Requires(post):	sed >= 4.0
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A small daemon to adjust cpu speed and voltage (and not only) for
kernels using any of the cpufreq drivers available. Cpufreqd is not a
userspace governor.
Cpufreqd allows you to apply governor profiles from rules based on
battery level, ac status, temperature (ACPI or sensors), running
programs, cpu usage and (maybe) more. You can also change your nforce
FSB clock and video card frequency (NVidia only) or execute arbitrary
commands when a specific rule is applied.
You need a CPU with frequency and voltage scaling capabilities and a
Linux kernel with cpufreq support.

%description -l pl.UTF-8
Ten demon monitoruje stan baterii przez /proc/apm i skaluje
częstotliwość procesora zgodnie z zestawem reguł. Jest bardzo
przydatny do zapewniania maksymalnego czasu życia baterii, a
jednocześnie dobrej szybkości procesora.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--libdir=%{_libdir}/%{name} \
	--enable-sensors
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/rc.d/init.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add cpufreqd
%service cpufreqd restart "CPU FREQ daemon"

%preun
if [ "$1" = "0" ]; then
	%service cpufreqd stop
	/sbin/chkconfig --del cpufreqd
fi

%files
%defattr(644,root,root,755)
%doc README TODO
%attr(754,root,root) %{_sbindir}/*
%attr(755,root,root) %{_bindir}/*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*.conf
%{_mandir}/man?/*
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/*
%changelog
* Fri May 06 2011 Jan Rękorajski <baggins@pld-linux.org> 1b50f02
- rel 3
- eanbled sensors support (builds and works)
- removed "percent to absolute value" conversion, it's not needed

* Sun Apr 24 2011 Jan Rękorajski <baggins@pld-linux.org> abf9c1b
- rel 2
- fix battery parameters detection problems
  http://bugs.gentoo.org/show_bug.cgi?id=346399

* Fri Apr 15 2011 marti <marti@pld-linux.org> 05472da
- up to 2.4.2

* Sun Aug 24 2008 areq <areq@pld-linux.org> 824c8a3
- 2.3.3

* Sat Aug 09 2008 Robert Tomasik <rotom@pld-linux.org> 4d24d02
- up to 2.3.2

* Sat Jul 26 2008 twittner <twittner@pld-linux.org> 0e7b511
- updated URL, SUmmary & descreption

* Sat Jul 26 2008 Adam Gołębiowski <adamg@pld-linux.org> 0f39568
- updated to 2.3.0

* Sun May 04 2008 hawk <hawk@pld-linux.org> 97aa6d7
- disabled sensors plugin, needs update to build with lm_sensors 3.x API
- updated TODO

* Sat May 03 2008 hawk <hawk@pld-linux.org> 4a54537
- release 2

* Wed May 16 2007 Paweł Gołaszewski <blues@pld-linux.org> 569b87f
- 2.2.1

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> db34944
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 94f5588
- converted to UTF-8

* Sun Sep 24 2006 Elan Ruusamäe <glen@pld-linux.org> 98ab0fe
- modify config on initial install only, rel 1

* Sat Sep 23 2006 shadzik <shadzik@pld-linux.org> 3a60f23
- 2.2.0

* Thu Jun 22 2006 shadzik <shadzik@pld-linux.org> 8601cd9
- up to 2.1.1
- dropped -am.patch, we already have an satisfying Makefile.am in source

* Thu Jun 22 2006 shadzik <shadzik@pld-linux.org> 57413a1
- obsolete

* Sun May 21 2006 Elan Ruusamäe <glen@pld-linux.org> fed5bef
- BR sysfsutils-devel

* Fri Feb 24 2006 Elan Ruusamäe <glen@pld-linux.org> eedf46d
- use %service

* Sun Jan 08 2006 Paweł Gołaszewski <blues@pld-linux.org> 9365e9c
- more TODO - builds, not tested yet

* Sun Jan 08 2006 Paweł Gołaszewski <blues@pld-linux.org> c494429
- bz2 source, BR: cpufrequtils-devel

